Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class EntityClassContainer

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.EntityClassContainer

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class EntityClassContainer

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Entity Class Container', and utility methods for working with them. specDomain: V11622 (C-0-D10882-V13922-V10883-V13934-V11622-cpt)

See Also:
  `CDAR2Package.getEntityClassContainer()`

Field Summary
`static int` | `CONT` The 'CONT' literal value.
`static EntityClassContainer` | `CONT_LITERAL` The 'CONT' literal object.
`static int` | `HOLD` The 'HOLD' literal value.
`static EntityClassContainer` | `HOLD_LITERAL` The 'HOLD' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Entity Class Container' enumerators.

Method Summary
`static EntityClassContainer` | `get(int value)` Returns the 'Entity Class Container' literal with the specified integer value.
`static EntityClassContainer` | `get(java.lang.String literal)` Returns the 'Entity Class Container' literal with the specified literal value.
`static EntityClassContainer` | `getByName(java.lang.String name)` Returns the 'Entity Class Container' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONT

    public static final int CONT

  The 'CONT' literal value.

  If the meaning of 'CONT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONT_LITERAL`, Constant Field Values

### HOLD

    public static final int HOLD

  The 'HOLD' literal value.

  If the meaning of 'HOLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HOLD_LITERAL`, Constant Field Values

### CONT_LITERAL

    public static final EntityClassContainer CONT_LITERAL

  The 'CONT' literal object.

  See Also:
    `CONT`

### HOLD_LITERAL

    public static final EntityClassContainer HOLD_LITERAL

  The 'HOLD' literal object.

  See Also:
    `HOLD`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Entity Class Container' enumerators.

Method Detail

### get

    public static EntityClassContainer get(java.lang.String literal)

  Returns the 'Entity Class Container' literal with the specified literal value.

### getByName

    public static EntityClassContainer getByName(java.lang.String name)

  Returns the 'Entity Class Container' literal with the specified name.

### get

    public static EntityClassContainer get(int value)

  Returns the 'Entity Class Container' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD